Bug 243073 - Upgrade net/pichi port from 1.2.0 to 1.3.0
Summary: Upgrade net/pichi port from 1.2.0 to 1.3.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Hiroki Tagato
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-04 04:34 UTC by Pichi
Modified: 2020-05-23 06:46 UTC (History)
2 users (show)

See Also:


Attachments
SHAR file (6.90 KB, text/plain)
2020-01-04 04:34 UTC, Pichi
no flags Details
1.2.1 patch file (7.63 KB, patch)
2020-03-05 04:37 UTC, Pichi
no flags Details | Diff
pichi.1.3.0.patch (7.44 KB, patch)
2020-05-22 06:08 UTC, Pichi
no flags Details | Diff
Failed poudriere build log (72.51 KB, text/plain)
2020-05-22 07:33 UTC, Hiroki Tagato
no flags Details
pichi-1.3.0.diff (7.52 KB, patch)
2020-05-22 10:21 UTC, Pichi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pichi 2020-01-04 04:34:47 UTC
Created attachment 210432 [details]
SHAR file

Add additional option, DEVEL, for whether to install development files.

Please check the attachment.
Comment 1 Wen Heping freebsd_committer 2020-02-29 10:37:33 UTC
Would you send the diff file ?

wen
Comment 2 Pichi 2020-03-05 04:37:40 UTC
Created attachment 212151 [details]
1.2.1 patch file

Here's the patch file
Comment 3 Hiroki Tagato freebsd_committer 2020-05-06 08:14:48 UTC
Hi, thanks for maintaining this port.

There is a newer version (1.3.0) at GitHub. Would you care to update the patch to the latest version?
Comment 4 Pichi 2020-05-22 06:08:41 UTC
Created attachment 214744 [details]
pichi.1.3.0.patch

OK, the patch file for 1.3.0 is uploaded.
Comment 5 Hiroki Tagato freebsd_committer 2020-05-22 07:33:28 UTC
Created attachment 214746 [details]
Failed poudriere build log

I tried to build the port with DEVEL option on and failed with the following message (a full build log attached):


====> Running Q/A tests (stage-qa)
====> Checking for pkg-plist issues (check-plist)
===> Parsing plist
===> Checking for items in STAGEDIR missing from pkg-plist
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: include/boost/asio/spawn2.hpp
Error: Missing: include/pichi/api/egress_manager.hpp
Error: Missing: include/pichi/api/ingress_manager.hpp
Error: Missing: include/pichi/api/iterator.hpp
Error: Missing: include/pichi/api/rest.hpp
Error: Missing: include/pichi/api/router.hpp
Error: Missing: include/pichi/api/server.hpp
Error: Missing: include/pichi/api/session.hpp
Error: Missing: include/pichi/api/vos.hpp
Error: Missing: include/pichi/asserts.hpp
Error: Missing: include/pichi/buffer.hpp
Error: Missing: include/pichi/common.hpp
Error: Missing: include/pichi/config.hpp
Error: Missing: include/pichi/config.hpp.in
Error: Missing: include/pichi/crypto/aead.hpp
Error: Missing: include/pichi/crypto/hash.hpp
Error: Missing: include/pichi/crypto/key.hpp
Error: Missing: include/pichi/crypto/method.hpp
Error: Missing: include/pichi/crypto/stream.hpp
Error: Missing: include/pichi/exception.hpp
Error: Missing: include/pichi/net/adapter.hpp
Error: Missing: include/pichi/net/asio.hpp
Error: Missing: include/pichi/net/common.hpp
Error: Missing: include/pichi/net/direct.hpp
Error: Missing: include/pichi/net/helpers.hpp
Error: Missing: include/pichi/net/http.hpp
Error: Missing: include/pichi/net/reject.hpp
Error: Missing: include/pichi/net/socks5.hpp
Error: Missing: include/pichi/net/spawn.hpp
Error: Missing: include/pichi/net/ssaead.hpp
Error: Missing: include/pichi/net/ssstream.hpp
Error: Missing: include/pichi/scope_guard.hpp
Error: Missing: include/pichi/test/socket.hpp
Error: Missing: include/pichi/uri.hpp
===> Error: Plist issues found.
*** Error code 1

Stop.


Maybe manual installation of those files is necessary?
Comment 6 Pichi 2020-05-22 10:21:23 UTC
Created attachment 214754 [details]
pichi-1.3.0.diff

Fixed.
Comment 7 commit-hook freebsd_committer 2020-05-23 06:44:22 UTC
A commit references this bug:

Author: tagattie
Date: Sat May 23 06:43:19 UTC 2020
New revision: 536268
URL: https://svnweb.freebsd.org/changeset/ports/536268

Log:
  - Update to 1.3.0
  - Switch to options helpers (partially)

  PR:		243073
  Submitted by:	Pichi <pichi@elude.in> (maintainer)
  Approved by:	mentors (implicit)
  Changelog:	https://github.com/pichi-router/pichi/releases/tag/1.3.0

Changes:
  head/net/pichi/Makefile
  head/net/pichi/distinfo
  head/net/pichi/files/patch-CMakeLists.txt
  head/net/pichi/files/patch-cmake_ProcessOptions.cmake
  head/net/pichi/files/patch-include_config.h.in
  head/net/pichi/files/patch-src_net_asio.cpp
  head/net/pichi/pkg-plist
Comment 8 Hiroki Tagato freebsd_committer 2020-05-23 06:46:14 UTC
Committed, thanks!